package com.muyu.controller;

import com.muyu.domain.Bill;
import com.muyu.service.BillService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author: WangXin
 * @date: 2024/7/26
 * @Description:
 * @Version 1.0.0
 */
@RestController
@RequestMapping("bill")
public class BillController {
    @Resource
    private BillService billService;

    /**
     * 查詢所有
     * @return
     */
    @GetMapping("/findAll")
    public List<Bill> findAll(){
        return billService.findAll();
    }

    /**
     * 添加
     * @param bill
     * @return
     */
    @PostMapping("/add")
    public String add(@RequestBody Bill bill){
        return billService.add(bill)>0?"添加成功":"添加失败";
    }
}
