package com.muyu.service.impl;


import com.muyu.domain.Bill;
import com.muyu.mapper.BillMapper;
import com.muyu.service.BillService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.List;

/**
 * @Author: WangXin
 * @date: 2024/7/26
 * @Description:
 * @Version 1.0.0
 */
@Service
public class BillServiceImpl implements BillService {
    @Resource
    private BillMapper billMapper;

    @Override
    public List<Bill> findAll() {
        return billMapper.findAll();
    }

    @Override
    public int add(Bill bill) {
        return billMapper.add(bill);
    }
}
